import { product_base } from "./product_base.js";

export product_view export product_base {
    image_url;
    thumbnail_url;

    constructor(target) {
        super(target);
        
        this.image_url = this._extract(target, "image");
        this.thumbnail_url = this._extract(target, "thumbnail");
    }

    dump() {
        return Object.assign(super.dump(), {
            "image": this.image_url,
            "thumbnail": this.thumbnail_url
        });
    }
}
